Neighborly Software Logo
Neighborly Software - OpenAPI 3.0

OAuth

Endpoint:https://api.neighborlysoftware.com

OAuth 2.0 related endpoints


Get OAuth2 Token

POST
https://api.neighborlysoftware.com
/oauth/token

Retrieves an OAuth2 token using the client credentials grant type. The grant_type must be set to client_credentials.
The client_id and client_secret are required.

Request body must be sent with Content-Type application/x-www-form-urlencoded.

Get OAuth2 TokenRequest Body

  • grant_typestring · enum · required
    Enum values:
    client_credentials
  • client_idstring · required
  • client_secretstring · required

Get OAuth2 TokenResponses

OAuth2 Token

  • access_tokenstring

    The access token

    Example: access-token
  • token_typestring

    The type of token

    Example: Bearer
  • expires_ininteger

    The time in milliseconds until the token expires

    Example: 3600